package com.mvc.model.aihcxd;

import com.mvc.entity.TAiTargetbox;

import java.util.ArrayList;

/**
 * 压力表免配置输出对象
 */
public class PgNoCfgOutModel {
    private String outImagePath;//存放结果图片的绝对路径
    //private Mat baizheng_img; //存放摆正的图
    //private Mat biaozhu_img; //存放带有各种信息的图
    private Integer[] cf_ce_cp_angle;//存放
    private Double ai_in_Value; //本次服务器AI识别内圈结果
    private Double ai_out_Value; //本次服务器AI识别外圈结果
    private Integer serverRotateAngle;//本次服务器识别到的旋转角度，IMPOSSIBLE_LEAN_ANGLE = 888 代表不可能的值，也就是代表没有检测到
    private Integer[] serverNumberRegion;//本次服务器识别得到的数字区域坐标，4个值，[xmin,ymin,xmax,ymax]
    private int[][] debugInfo;//AI调试信息，值域是 0-255
    private ArrayList<TAiTargetbox> pg_nms_list;//最终的数字目标列表

    public String getOutImagePath() {
        return outImagePath;
    }

    public void setOutImagePath(String outImagePath) {
        this.outImagePath = outImagePath;
    }

    public Integer[] getCf_ce_cp_angle() {
        return cf_ce_cp_angle;
    }

    public void setCf_ce_cp_angle(Integer[] cf_ce_cp_angle) {
        this.cf_ce_cp_angle = cf_ce_cp_angle;
    }

    public Double getAi_in_Value() {
        return ai_in_Value;
    }

    public void setAi_in_Value(Double ai_in_Value) {
        this.ai_in_Value = ai_in_Value;
    }

    public Double getAi_out_Value() {
        return ai_out_Value;
    }

    public void setAi_out_Value(Double ai_out_Value) {
        this.ai_out_Value = ai_out_Value;
    }

    public Integer getServerRotateAngle() {
        return serverRotateAngle;
    }

    public void setServerRotateAngle(Integer serverRotateAngle) {
        this.serverRotateAngle = serverRotateAngle;
    }

    public Integer[] getServerNumberRegion() {
        return serverNumberRegion;
    }

    public void setServerNumberRegion(Integer[] serverNumberRegion) {
        this.serverNumberRegion = serverNumberRegion;
    }

    public int[][] getDebugInfo() {
        return debugInfo;
    }

    public void setDebugInfo(int[][] debugInfo) {
        this.debugInfo = debugInfo;
    }

    public ArrayList<TAiTargetbox> getPg_nms_list() {
        return pg_nms_list;
    }

    public void setPg_nms_list(ArrayList<TAiTargetbox> pg_nms_list) {
        this.pg_nms_list = pg_nms_list;
    }
}
